/ lang / wait
WAIT
Syntax

    WAIT [ Delay ]

Calls recursively the event loop.

If Delay is specified, the function does not return until Delay seconds elapse.

If Delay is not specified, the functions processes every events and returns immediately. In this case, keyboard and mouse events are ignored.

| Delay is a floating point number. So, if you want to wait 100 ms, just do: `WAIT 0.1`

### Examples

    ' Waits a little, letting the user interacts with the GUI
    WAIT 0.1

    ' Waits, but the user can just watch what happens...
    WAIT

| If you call `WAIT` from an event handler, you may create infinite recursions.

### See also

Event Loop